#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityIntegralDrawCFGData
{
	//编号
	int mID;
	//物品ID
	std::vector<int> mItemIDs;
	//物品数量
	std::vector<int> mItemCounts;
	//权重
	int mweight;
};

class M_ActivityIntegralDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivityIntegralDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityIntegralDrawCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityIntegralDrawCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityIntegralDrawCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityIntegralDrawCFGData> mMapData;
};
